Name: gquilt
Version: 0.19
Release: alt1

Summary: PyGTK GUI wrapper for quilt

License: GPL
Group: Development/Other
Url: http://users.bigpond.net.au/Peter-Williams/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/%name/%name-%version.tar.bz2
Patch: %name-0.16.patch

BuildArch: noarch

Requires: quilt

# manually removed: eric
# Automatically added by buildreq on Sun Jan 22 2006
BuildRequires: python-base python-modules-compiler python-modules-encodings

%description
quilt is a tool for managing a series of patches by keeping track
of the changes each patch makes. Patches can be applied, un-applied,
refreshed, etc.

gquilt is a PyGTK GUI wrapper for quilt.

%prep
%setup -q
%patch -p0

%build
make PREFIX=%prefix all gquilt

%install
%__make DESTDIR=%buildroot PREFIX=%prefix install

# fix broken desktop
%__subst 's/Generic Name/GenericName/g' %buildroot%_desktopdir/%name.desktop

#desktop-file-install --vendor fedora --delete-original \
#  --dir %buildroot%_desktopdir \
#  %buildroot%_desktopdir/%name.desktop

%files
%doc ChangeLog
%_bindir/gquilt
%dir %_datadir/gquilt/
%_datadir/gquilt/icons/
%_datadir/gquilt/qbsfe.sh
%_datadir/gquilt/*.py*
#%_datadir/gquilt/*.pyc
#%ghost %_datadir/gquilt/*.pyo
%_desktopdir/*
%_pixmapsdir/*

%changelog
* Sun Feb 25 2007 Vitaly Lipatov <lav@altlinux.ru> 0.19-alt1
- new version 0.19 (with rpmrb script)

* Sat Feb 25 2006 Vitaly Lipatov <lav@altlinux.ru> 0.17-alt1
- fix desktop

* Wed Feb 08 2006 Vitaly Lipatov <lav@altlinux.ru> 0.17-alt0.1
- new version

* Sun Jan 22 2006 Vitaly Lipatov <lav@altlinux.ru> 0.16-alt0.1
- initial build for ALT Linux Sisyphus (spec from PLD)

